
Ryzom - Feature # 118

Status: Closed Priority: High
Author: kervala Category: NeL: General
Created: 09/19/2008 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: Centralize atoi-like functions
Description

common.h, mem_stream.h and some other files are implementing atoi-like conversion functions.

We should centralize them all in common.h and common.cpp, and be sure strings could be converted to all integer types of NeL
(signed and unsigned 8, 16, 32 and 64 bits).

History
#1 - 09/19/2008 11:16 pm - kaetemi

Wasn't there a fromString(blah, blah) or something function for this already?

#2 - 09/19/2008 11:33 pm - kervala

You're right (in string_common.h) but fonctions declared in other files are useless in this case... several functions to do the same thing :s

#3 - 09/22/2008 11:04 pm - kervala
- Status changed from Assigned to Closed

Useless issue, because all functions have different uses...

fromString and toString have to be privilegied for NeL projects :)

#4 - 09/23/2008 11:38 am - kervala

Make sure fromString methods are returning 0 in case of error.

atoi returns INT_MAX or INT_MIN when values are out of range and 0 when the string could not be converted.

sscanf doesn't change the value when an error occured so we need ton explicity set it to 0.

#5 - 05/11/2009 07:32 pm - kervala
- % Done changed from 0 to 100

#6 - 09/29/2010 09:12 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (Version 0.7.0)
#7 - 09/30/2010 11:32 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
